Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 374943 - media-gfx/cutycapt-0_p20110502-r2 unable to ignore invalid ssl certificate
Summary: media-gfx/cutycapt-0_p20110502-r2 unable to ignore invalid ssl certificate
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard: Pending removal: 2016-09-20
Keywords: PMASKED
Depends on:
Blocks:
 
Reported: 2011-07-12 10:38 UTC by Anton Bolshakov
Modified: 2019-01-20 10:10 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ignore SSL errors (no-check-certificate.patch,1.36 KB, text/plain)
2011-07-12 10:38 UTC, Anton Bolshakov
Details
cutycapt-0_p20110502-r3.ebuild (cutycapt-0_p20110502-r3.ebuild,918 bytes, text/plain)
2011-07-12 10:56 UTC, Anton Bolshakov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Bolshakov 2011-07-12 10:38:46 UTC
Created attachment 279861 [details]
ignore SSL errors

cutycapt is unable to take a screenshot via HTTPS in case of any errors with certificate (attempt to connect via IP address or certificate is self-signed/invalid)
Comment 2 Anton Bolshakov 2011-07-12 10:56:14 UTC
Created attachment 279865 [details]
cutycapt-0_p20110502-r3.ebuild

I'd like also to have a lowcased binary as suggested in attached ebuild.
Comment 3 Matthew Marlowe gentoo-dev 2011-07-14 09:58:42 UTC
Thanks for reporting this...I'll see if the patch has been incorporated in the latest upstream snapshots.
As for the binary name, we've kept it uppercase because that is what several other distributions also use and we wanted to avoid causing portability issues, but yeah..it is annoying...
Comment 4 Matthew Schultz 2011-08-23 16:12:45 UTC
(In reply to comment #3)
> Thanks for reporting this...I'll see if the patch has been incorporated in the
> latest upstream snapshots.
> As for the binary name, we've kept it uppercase because that is what several
> other distributions also use and we wanted to avoid causing portability issues,
> but yeah..it is annoying...

Why not create a sym link?
Comment 5 Matthew Marlowe gentoo-dev 2011-11-29 00:50:13 UTC
Preparing to roll out new ebuild using latest snapshot -- looked to see if we could close this bug, however it seems upstream hasn't accepted the patch...their bug is still open/unresolved.
Comment 6 Matthew Marlowe gentoo-dev 2011-11-29 00:53:54 UTC
hrm, doesn't look like upstream has updated their subversion repository in roughly 18 months...we'll need to find out if they are still active.
Comment 7 Matthew Marlowe gentoo-dev 2012-04-09 07:57:53 UTC
spoke to upstream, they said they'd look into this awhile back, but it appears like they never merged the commit or pretty much anything other than a switch to lgpl-2.1 license.  Upstream has stated they are no longer actively developing cutycapt and encourages users to migrate to PhantomJS.

I'm going to upload the latest snapshot, but I'm afraid thats it for cutycapt unless something changes at upstream.
Comment 8 Anton Bolshakov 2012-04-09 08:14:09 UTC
I didn't know about the PhantomJS project but will be happy to try it out.
From a quick look, there is rasterize.js module which should be the replacement we are looking for. You might want to focus your forces on phantomjs instead and get ready for Cutycapt removal.

The king is dead. Long live the king.
Comment 9 Anton Bolshakov 2012-04-16 01:32:13 UTC
FYI, I tried to take a screenshot of mail.google.com (173.194.38.182) using the latest snapshot 0_p20120409, it still fails:

CutyCapt --url=https://173.194.38.182 --out=gmail.png
QPainter::begin: Paint device returned engine == 0, type: 3
QPainter::setRenderHint: Painter must be active to set rendering hints
QPainter::setBrush: Painter not active
QPainter::pen: Painter not active
QPainter::setPen: Painter not active
QPainter::end: Painter not active, aborted
Comment 10 Pacho Ramos gentoo-dev 2016-10-01 07:00:32 UTC
removed
Comment 11 Anton Bolshakov 2019-01-20 10:10:00 UTC
Just for my references:

# Hans de Graaff <graaff@gentoo.org> (05 Jun 2017)                                                                         
# Bundles obsolete and vulnerable webkit version.                                                                          
# Upstream has stopped development and recommends using                                                                    
# headless mode in >=www-client/chromium-59.                                                                               
# Masked for removal in 90 days. Bug #589994.                                                                              
www-client/phantomjs